:: ---- lcbuziel --------------------------------
@ECHO OFF & SetLocal EnableDelayedExpansion & CLS
:: -----------------------------------------------
IF EXIST C:\@LCBackup\*.TMP DEL C:\@LCBackup\*.TMP
:: -----------------------------------------------
REM Lindnercom Back-Up 
REM LCBUZIEL.BAT Version 28.03.2006 - 08:30 
REM verwaltet mehrere Ziel-Laufwerke.
REM ------------------------------------------------ 
ECHO ==== Lindnercom Back-Up %0
ECHO.
REM "warten!"
CALL C:\@LCBackup\LCBUWAIT.BAT
REM -------------------------------------------------- 
REM Anpassung: Namen der ID-Files beginnen mit LCBU, 
REM um das Kopieren von Datei-Gruppen zu erleichtern  
REM ==================================================
REM ANWENDERSPEZIFISCHE OPTIONEN; - WICHTIG:
REM ACHTE auf Uebereinstimmung mit LCINSTALL.BAT ! ------ 
rem ----------------------------------------------------- 
REM BEGINN:
REM Anwender-Vorgaben Namen der Sicherungs-Laufwerke
REM Hier gilt ein Sonderfall: BEIDE LW heissen G: ! 
SET alfaziel=G:
SET betaziel=G:

REM Benenne Ident-Files (aus Kopier-Gruenden!) --- 
REM Praefix LCBU & NATO-Substrings --------------- 
REM gemaess Laufwerks-Namen ----------------------
 
SET alfafile=LCBUGOLF.TXT
SET betafile=LCBUGOLF.TXT

REM ENDE der Anwender-Vorgaben
REM ---------------------------------------------- 

CLS
ECHO Vorbereitung EINES von MEHREREN Ziel-Laufwerken
ECHO zur Daten-Sicherung durch NTBACKUP
ECHO ===== %0 wechselt ins Arbeitsverzeichnis ======= 
C:
CD \@LCBackup

:: ...........................
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ...........................

REM ====================================== 
REM Aufgabenstellung: Setze ZIEL-VARIABLE:
REM -------------------------------------- 
REM Die Strategie zur Auswahl EINES von MEHREREN Ziellaufwerken
REM geht davon aus, dass der Anwender ueber ZWEI Festplatten-Laufwerke
REM zum Sichern von Daten verfuegt, von denen sein System 
REM ABWECHSELND - etwa in einer Docking-Station - EINES vorfindet.

REM Trotz dieser gemeinsamen System-Schnittstelle fuehren diese beiden
REM Ziel-Laufwerke aber ZWEI UNTERSCHIEDLICHE Laufwerksbuchstaben. 
REM 
REM Zur Identifizierung der Ziel-Laufwerke wird dort jeweils eine Text-Datei 
REM mit typischem Namen hineinkopiert, versteckt und schreibgeschuetzt. 
REM (i.f. "ID-File") 
REM 
REM ============================================================
REM Alternative Ziel-Laufwerke sind "A:\" und "B:\" (Pseudo!)
REM mit den ID-Files: %alfafile% bzw. %betafile% (siehe oben!) 
REM
REM INITIIERE provisorisches Status- und Fehler-Protokoll:
REM ------------------------------------------------------------- 

:: ---------------------------------------------------
:: Initialisere 'stattext', falls LCLOGTYP NICHT vom 
:: ueblichen TRIGGER-Batch gestartet wird:
:: ............................................................ 
IF NOT DEFINED stattext SET stattext=C:\@LCBackup\LCBUERRL.TXT
:: ............................................................

ECHO Start der Protokolleintraege durch %0  ==== >> %stattext%
ECHO. >> %stattext%

ECHO DATENSICHERUNG mit Hilfe von NTBACKUP >> %stattext% 
ECHO. >> %stattext%

ECHO Grunddaten: >> %stattext%
ECHO User-Name:	%username% >> %stattext%
ECHO Userdomain: %userdomain% >> %stattext%
ECHO Userprofil: %userprofile% >> %stattext%
ECHO. >> %stattext%

ECHO Sichere Objekt: %mainpara% >> %stattext%
ECHO %date% - %time% >> %stattext%
ECHO --------------------------------------------- >> %stattext%
ECHO. >> %stattext%

REM -----------------------------------------------------------
REM Teste die Existenz MINDESTENS EINES von ZWEI Ziellaufwerken
REM inklusive des typischen Registrierungs-Files.
REM Reihenfolge der Laufwerke: %alaziel% bzw. %betaziel%
REM zugehoerige Ident-Files: %alfafile% bzw. %betafile%

:: ===================== START ===========================
ECHO ==== Start der PROZEDUR %0	>> %stattext%
ECHO. >> %stattext%

IF EXIST %alfaziel%\NUL GOTO LIMATEST 
GOTO LIMAFEHL

:: -------------------------------------------------
:LIMATEST
ECHO Sprungziel:limatest	>> %stattext%
ECHO (LW %alfaziel% steht bereit.) >> %stattext%
ECHO. >> %stattext%

IF EXIST %alfaziel%\%alfafile% GOTO LIMAISOK
GOTO LIMAFEHL

:: -------------------------------------------------
:LIMAISOK
ECHO Sprungziel: limaisok 	>> %stattext%
ECHO ID-File %alfafile% erkannt. >> %stattext% 
ECHO (LW %alfaziel% als Backup-Medium registriert.) >> %stattext%
ECHO. >> %stattext%
SET zieldriv=%alfaziel%
SET zielverz=LCBACKUP
SET zielvsub=%userdomain%
GOTO FORTSETZ

REM -------------------------------------------------
:LIMAFEHL
ECHO Sprungziel: limafehl >> %stattext%
ECHO LW %alfaziel%\ ist NICHT vorhanden >> %stattext% 
ECHO ODER NICHT als Backup-Medium registriert!	>> %stattext%
ECHO. >> %stattext%
IF EXIST %betaziel%\NUL GOTO MIKETEST
GOTO MIKEFEHL

REM -------------------------------------------------
:MIKETEST
ECHO Sprungziel: miketest >> %stattext%
ECHO LW %betaziel%\ steht bereit. >> %stattext% 
ECHO. >> %stattext%
IF EXIST %betaziel%\%betafile% GOTO MIKEISOK 
GOTO MIKEFEHL

REM --------------------------------------------------
:MIKEISOK
ECHO Sprungziel: mikeisok >> %stattext%
ECHO ID-File %betafile% AKZEPTIERT! >> %stattext% 
ECHO (LW %betaziel%\ als Backup-Medium registriert.) >> %stattext%
ECHO. >> %stattext%

SET zieldriv=%betaziel%
SET zielverz=LCBACKUP
SET zielvsub=%userdomain%
GOTO FORTSETZ
REM --------------------------------------------------

REM --------------------------------------------------
:MIKEFEHL
SET zielstat=zielfehl
ECHO Sprungziel: mikefehl >> %stattext%
ECHO ID-File %betafile% fehlt! >> %stattext%
ECHO (LW %betaziel%\ NICHT als Backup-Medium registriert) >> %stattext%
ECHO ZIELSTATUS: %zielstat% >> %stattext%
ECHO. >> %stattext%
ECHO Sicherungs-Prozedur wird abgebrochen! >> %stattext% 
ECHO. >> %stattext%
GOTO ENDESTOP
REM -------------------------------------------------

REM -------------------------------------------------
:FORTSETZ
ECHO Sprungziel :FORTSETZ >> %stattext%
ECHO %0 geht ins Root des Ziel-Laufwerkes >> %stattext%
ECHO. >> %stattext%
:: ...............
%zieldriv%
CD \
:: ..............
REM -------------------------------------------------
REM Teste Existenz des kompletten Zielverzeichnisses,
REM lege fehlende Verzeichnisse an !
REM -------------------------------------------------
IF NOT EXIST %zielverz%\NUL MD %zielverz%
IF NOT EXIST %zielverz%\%zielvsub%\NUL MD %zielverz%\%zielvsub%
REM ---------------------------------------------
echo Setze "SICHERUNGS-ZIEL" als gemeinsame Variable, >> %stattext%
echo Notiere sie ins Temporrfile 'sichziel.tmp': >> %stattext%
SET sichziel=%zieldriv%\%zielverz%\%zielvsub%
SET zielstat=zielisok
:: ...... xxx ..........................................
ECHO %sichziel% > C:\@LCBackup\SICHZIEL.TMP
ECHO %zielstat% > C:\@LCBackup\ZIELSTAT.TMP
REM ---------------------------------------------
ECHO Rufe 'LCBULINK.BAT'  >> %stattext%
ECHO. >> %stattext%

:: ............................
CALL C:\@LCBackup\LCBULINK.BAT
:: ............................

ECHO %0 wieder zum Arb.-Verzeichnis .. >> %stattext%
ECHO. >> %stattext%
C:
CD \@LCBackup

ECHO Festlegungen: >> %stattext%
ECHO ------------- >> %stattext%
ECHO Ziel-Laufwerk: %zieldriv% >> %stattext%
ECHO Ziel-Verzeichnis: %zielverz% >> %stattext%
ECHO Unterverzeichnis: 	%zielvsub% >> %stattext%
ECHO Sicherungs-Ziel: %sichziel% >> %stattext%
ECHO. >> %stattext%
ECHO ============================= >> %stattext%
ECHO. >> %stattext%

:ENDESTOP
ECHO Folgende Eintrge sind 'Schnee von gestern'!! >> %stattext% 
ECHO %0: Sprungziel:endestop >> %stattext%
ECHO %0: SICHZIEL = %sichziel% bleibt 'GLOBAL' >> %stattext% 
ECHO %0: Folgende Variablen: >> %stattext% 
ECHO. >> %stattext%  
ECHO zieldriv, zielverz, zielvsub 	>> %stattext% 
ECHO alfaziel, betaziel, alfafile 	>> %stattext% 
ECHO betafile, gamafile, gamaziel 	>> %stattext% 
ECHO. >> %stattext%
ECHO werden hier bereits eliminiert! >> %stattext% 
REM ---------------------------------------------------

ECHO Ende der Protokolleintraege durch %0 ! >> %stattext%
ECHO. >> %stattext% 

:: SET alfafile=
:: SET alfaziel=
:: SET betafile=
:: SET betaziel=
:: SET gamafile=
:: SET gamaziel=
:: SET stattext entfllt hier! 
:: SET zieldriv=
:: SET zielverz=
:: SET zielvsub=
rem TYPE C:\@LCBackup\sichziel.tmp
REM ---------------------- 
REM	ENDE LCBUZIEL.BAT
REM ======================

